create table persons
  (id     number(18,0) not null,
   name   varchar2(100),
   mgr_id number(18,0));

alter table persons
  add constraint person_pk primary key (id);

alter table persons
  add constraint person_mgr_fk foreign key (mgr_id) references persons(id);

insert into persons(id, name, mgr_id)
values (1, 'Clerk', null);

commit;

create sequence persons_id_seq
  start with 2
  nocache;

