package test.jpa;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import test.jpa.entities.Person;

public class TestPkBug {

	EntityManagerFactory emf;
	EntityManager em;

	public TestPkBug() {
		emf = Persistence.createEntityManagerFactory("Test");
		em = emf.createEntityManager();
	}

	public void done() {
		if (em.isOpen()) em.close();
		emf.close();
	}

	public void runTest() {
		Person boss = new Person();
		boss.setName("Boss");

		em.getTransaction().begin();
		em.persist(boss);

		Person serf = em.find(Person.class, 1L);
		serf.setMgr(boss);

		em.flush();
		em.getTransaction().commit();
	}

	public static void main(String[] args) {
		TestPkBug tpb = new TestPkBug();

		try {
			tpb.runTest();
		} finally {
			tpb.done();
		}
	}
}
